using NeonTea.Quakeball.TeaNet.Packets;

namespace NeonTea.Quakeball.Networking.Packets {
    public class DeadPckt : Packet {

        public ulong DeadPlayerId;
        public ulong KillerPlayerId;

        public DeadPckt() { }
        public DeadPckt(ulong deadid, ulong killerid) {
            DeadPlayerId = deadid;
            KillerPlayerId = killerid;
        }

        public override void Read(ByteBuffer buffer) {
            DeadPlayerId = buffer.ReadULong();
            KillerPlayerId = buffer.ReadULong();
        }

        public override void Write(ByteBuffer buffer) {
            buffer.Write(DeadPlayerId);
            buffer.Write(KillerPlayerId);
        }
    }
}
